#pragma once

#include "SFForm.h"

using namespace System;
using namespace System::ComponentModel;
using namespace System::Collections;
using namespace System::Diagnostics;
using namespace Extensibility;
using namespace System::Windows::Forms;
using namespace System::Runtime::InteropServices;
 
namespace AdxHT_002_VC
{
    //Add-in Express Add-in Module
    [GuidAttribute("7452D83B-8872-498E-A20A-A5314AFCC8D5"), ProgId("AdxHT_002_VC.AddinModule")]
    __gc public class AddinModule : public AddinExpress::MSO::ADXAddinModule
    {
    public:
        AddinModule(void): AddinExpress::MSO::ADXAddinModule()
        {
            InitializeComponent();
        }
        AddinModule(System::ComponentModel::IContainer *container) : components(0)
        {
            /// <summary>
            /// Required for Windows.Forms Class Composition Designer support
            /// </summary>
 
            container->Add(this);
            InitializeComponent();
        }
 
        System::ComponentModel::IContainer* GetContainer()
        {
            return components;
        }
 
        void UninstallControls()
        {
            AddinExpress::MSO::ADXAddinModule::UninstallControls();
        }
 
        [ComRegisterFunctionAttribute]
        static void AddinRegister(System::Type* t)
        {
            AddinExpress::MSO::ADXAddinModule::ADXRegister(t);
        }
 
        [ComUnregisterFunctionAttribute]
        static void AddinUnregister(System::Type* t)
        {
            AddinExpress::MSO::ADXAddinModule::ADXUnregister(t);
        }
 
    protected:
        void Dispose(Boolean disposing)
        {
            if (disposing && components)
            {
                components->Dispose();
            }
            __super::Dispose(disposing);
        }
	private: 
		AddinExpress::MSO::ADXOlExplorerCommandBar *  adxOlExplorerCommandBar1;
	    AddinExpress::MSO::ADXCommandBarButton *  btnScanFolders;
	    System::ComponentModel::IContainer *  components;

    private:
        /// <summary>
        /// Required designer variable.
        /// </summary>

 
        /// <summary>
        /// Required method for Designer support - do not modify
        /// the contents of this method with the code editor.
        /// </summary>
        void InitializeComponent(void)
        {
			this->components = new System::ComponentModel::Container();
			this->adxOlExplorerCommandBar1 = new AddinExpress::MSO::ADXOlExplorerCommandBar(this->components);
			this->btnScanFolders = new AddinExpress::MSO::ADXCommandBarButton(this->components);
			// 
			// adxOlExplorerCommandBar1
			// 
			this->adxOlExplorerCommandBar1->CommandBarName = S"ADX Scan Folders (VC)";
			this->adxOlExplorerCommandBar1->CommandBarTag = S"7d3fd564-b6c9-4ad6-bae2-e8182700cbb8";
			this->adxOlExplorerCommandBar1->Controls->Add(this->btnScanFolders);
			this->adxOlExplorerCommandBar1->UpdateCounter = 5;
			// 
			// btnScanFolders
			// 
			this->btnScanFolders->Caption = S"Scan Folders (VC)";
			this->btnScanFolders->ControlTag = S"df6b287c-944a-4047-a346-2ed337ad7589";
			this->btnScanFolders->ImageTransparentColor = System::Drawing::Color::Transparent;
			this->btnScanFolders->UpdateCounter = 5;
			this->btnScanFolders->Click += new AddinExpress::MSO::ADXClick_EventHandler(this, btnScanFolders_Click);
			// 
			// AddinModule
			// 
			this->AddinName = S"OlExample2 (VC)";
			this->SupportedApps = AddinExpress::MSO::ADXOfficeHostApp::ohaOutlook;

		}
	public:
        Outlook::_Application* OutlookHost();
	private: 
		void btnScanFolders_Click(System::Object *  sender);

	};
}

