#include "StdAfx.h"
#include "SFForm.h"
#include "AddinModule.h"

namespace AdxHT_002_VC
{


		void SFForm::AddTreeItems(TreeNode* node, Outlook::MAPIFolder* folder)
		{
        TreeNode* newNode;
        if (node == 0 ) 
		{
            newNode = this->foldersTV->Nodes->Add(folder->Name);
		}
        else
		{
            newNode = node->Nodes->Add(folder->Name);
		}
        
        for (int i=1;i<=folder->Folders->Count; i++)
            AddTreeItems(newNode, folder->Folders->Item(__box(i)));
        
		}

		void SFForm::LoadTree(void)
		{
          foldersTV->Nodes->Clear();
		  Outlook::Folders* folders;
		  folders = __try_cast<AddinModule*>(owner)->OutlookHost()->GetNamespace("MAPI")->Folders;
          if (folders->Count > 0) 
    		{
		    	for(int i=1; i<=folders->Count; i++)
			    {
					AddTreeItems(0, folders->Item(__box(i)));
			    }
		    }

		}


}